# ChangeLog for media-sound/esound
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/esound/ChangeLog,v 1.91 2007/01/22 09:18:38 flameeyes Exp $

  22 Jan 2007; Diego Pettenò <flameeyes@gentoo.org> -esound-0.2.34.ebuild:
  Remove old version.

  13 Nov 2006; Joseph Jezak <josejx@gentoo.org> esound-0.2.36-r2.ebuild:
  Marked ppc stable.

  13 Nov 2006; Danny van Dyk <kugelfang@gentoo.org> esound-0.2.36-r2.ebuild:
  Marked stable on amd64 to fulfill eselect-esd dependencies.

  25 Oct 2006; Joshua Jackson <tsunam@gentoo.org> esound-0.2.36-r2.ebuild:
  Stable x86; bug #150540

  22 Oct 2006; Bryan Østergaard <kloeri@gentoo.org>
  esound-0.2.36-r2.ebuild:
  Stable on Alpha.

  22 Oct 2006; Thomas Cort <tcort@gentoo.org> esound-0.2.36-r2.ebuild:
  Added ~alpha wrt Bug #141223.

  22 Oct 2006; Bryan Østergaard <kloeri@gentoo.org>
  esound-0.2.36-r2.ebuild:
  Stable on ia64.

  22 Oct 2006; Markus Rothe <corsair@gentoo.org> esound-0.2.36-r2.ebuild:
  Stable on ppc64; bug #150540

  20 Oct 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  esound-0.2.36-r2.ebuild:
  Stable on sparc wrt #150540

  16 Oct 2006; Aron Griffis <agriffis@gentoo.org> esound-0.2.36-r2.ebuild:
  Mark 0.2.36-r2 ~ia64. #141223

  24 Sep 2006; Seemant Kulleen <seemant@gentoo.org> esound-0.2.36-r1.ebuild,
  esound-0.2.36-r2.ebuild:
  export WANT_AUTOMAKE to latest -- thanks FlameEyes

  24 Sep 2006; Seemant Kulleen <seemant@gentoo.org> esound-0.2.36-r1.ebuild,
  esound-0.2.36-r2.ebuild:
  Fix for the autotools dependency breakage stuff. This package's 0.2.36
  requires automake-1.8, so we need to set that explicitly. See bug #148821

  31 Aug 2006; Fabian Groffen <grobian@gentoo.org> esound-0.2.36-r2.ebuild:
  Re-added ~ppc-macos, thanks flameeyes (bug #141223)

  31 Aug 2006; Diego Pettenò <flameeyes@gentoo.org>
  esound-0.2.36-r2.ebuild:
  Make sure the m4 dir is used when re-autoreconfiguring.

  11 Aug 2006; Markus Rothe <corsair@gentoo.org> esound-0.2.36-r2.ebuild:
  Added ~ppc64; bug #141223

  11 Aug 2006; Jeroen Roovers <jer@gentoo.org> esound-0.2.36-r2.ebuild:
  Marked ~hppa (bug #141223).

  05 Aug 2006; Jason Wever <weeve@gentoo.org> esound-0.2.36-r2.ebuild:
  Re-added ~sparc keyword wrt bug #141223.

  27 Jul 2006; Joshua Jackson <tsunam@gentoo.org> esound-0.2.36-r2.ebuild:
  ~x86; bug #141223

  22 Jul 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  esound-0.2.36-r2.ebuild:
  Added ~ppc, bug #141223

  19 Jul 2006; Diego Pettenò <flameeyes@gentoo.org>
  esound-0.2.36-r2.ebuild:
  Add ~x86-fbsd keyword, and force serial install or it fails.

*esound-0.2.36-r2 (19 Jul 2006)

  19 Jul 2006; Diego Pettenò <flameeyes@gentoo.org> +files/esound.init.d.2,
  esound-0.2.34.ebuild, esound-0.2.36-r1.ebuild, +esound-0.2.36-r2.ebuild:
  Add new revision to make use of esound-esd (for pulseaudio).

  17 Jul 2006; Daniel Gryniewicz <dang@gentoo.org> ChangeLog:
  Marked stable on amd64 for bug #139612

  20 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/esound-0.2.36-asneeded.patch, esound-0.2.36-r1.ebuild:
  Add patch to fix building with --as-needed, thanks to Thomas S. Howard in
  bug #133823.

  06 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  esound-0.2.36-r1.ebuild:
  Actually add ~x86-fbsd keyword.

  06 May 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/esound-0.2.36-mode_t.patch, esound-0.2.36-r1.ebuild:
  Add ~x86-fbsd keyword and a patch to fix mode_t vaarg passing.

  22 Jan 2006; Joshua Jackson <tsunam@gentoo.org> ChangeLog:
  Stable on x86 for bug #119634; Stabilize Gnome-2.12.2

  10 Oct 2005; Hardave Riar <hardave@gentoo.org> esound-0.2.36-r1.ebuild:
  Stable on mips.

  14 Sep 2005; Aron Griffis <agriffis@gentoo.org> esound-0.2.36-r1.ebuild:
  Mark 0.2.36-r1 stable on alpha

  03 Sep 2005; Markus Rothe <corsair@gentoo.org> esound-0.2.36-r1.ebuild:
  Stable on ppc64

  03 Sep 2005; Michael Hanselmann <hansmi@gentoo.org>
  esound-0.2.36-r1.ebuild:
  Stable on ppc.

  31 Aug 2005; Herbie Hopkins <herbs@gentoo.org> esound-0.2.36-r1.ebuild:
  Stable on amd64.

  29 Aug 2005; Guy Martin <gmsoft@gentoo.org> esound-0.2.36-r1.ebuild:
  Stable on hppa.

  28 Aug 2005; Fabian Groffen <grobian@gentoo.org>
  -files/esound-0.2.35-ppc-macos.patch,
  +files/esound-0.2.36-ppc-macos.patch, esound-0.2.36-r1.ebuild:
  Replacing patch for ppc-macos to reflect version 0.2.36, the old one for
  0.2.35 was reused without testing.  See bug #103969

  26 Aug 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  esound-0.2.36-r1.ebuild:
  Stable on sparc

  26 Aug 2005; Aron Griffis <agriffis@gentoo.org> esound-0.2.36-r1.ebuild:
  stable on ia64

  25 Aug 2005; Leonardo Boshell <leonardop@gentoo.org>
  -esound-0.2.35.ebuild, esound-0.2.36-r1.ebuild:
  Stable on x86.

  24 Aug 2005; Diego Pettenò <flameeyes@gentoo.org>
  esound-0.2.36-r1.ebuild:
  Use newconfd/doinitd.

  07 Aug 2005; Leonardo Boshell <leonardop@gentoo.org> esound-0.2.34.ebuild:
  Setting LC_ALL=C before econf/make to avoid problems in the configure
  script. See bug #99013.

*esound-0.2.36-r1 (24 Jul 2005)

  24 Jul 2005; Leonardo Boshell <leonardop@gentoo.org> esound-0.2.36-r1.ebuild:
  New revision. Install esd.conf in the right location. Thanks to reporter
  TGL for noticing this on bug #100162.

*esound-0.2.36 (03 Jul 2005)

  03 Jul 2005; Leonardo Boshell <leonardop@gentoo.org> esound-0.2.36.ebuild:
  New release. Added support for 'debug' and 'static' USE flags. Replaced
  einstall with "make DESTDIR=$D install".

  29 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  03 Oct 2004; Kito <kito@gentoo.org> +files/esound-0.2.35-ppc-macos.patch,
  esound-0.2.35.ebuild:
  added patch from fink to improve CoreAudio functionality and keyworded
  ~ppc-macos

*esound-0.2.35 (18 Aug 2004)

  18 Aug 2004; Mike Gardiner <obz@gentoo.org> +esound-0.2.35.ebuild:
  Added new version 0.2.35, as requested in bug #60231

  25 Jul 2004; Lina Pezzella <j4rg0n@gentoo.org>
  Fixed Manifest.

  23 Jul 2004; Lina Pezzella <j4rg0n@gentoo.org> :
  esound-0.2.34.ebuild: Unstable macos. Fully functional, except for init script
  due to conflicts between baselayout and MacOS files.

  04 Jul 2004; Bryan Østergaard <kloeri@gentoo.org> esound-0.2.34.ebuild:
  Stable on alpha.

  20 Jun 2004; Tom Gall <tgall@gentoo.org> esound-0.2.34.ebuild:
  stable on ppc64

  04 Jun 2004; Stephen P. Becker <geoman@gentoo.org> esound-0.2.34.ebuild:
  Stable on mips.

  26 May 2004; Jason Wever <weeve@gentoo.org> esound-0.2.34.ebuild:
  And you, sparc'd me all night long...

  14 Apr 2004; Stephen P. Becker <geoman@gentoo.org> esound-0.2.32.ebuild,
  esound-0.2.33.ebuild:
  Marked stable on mips.

  24 Mar 2004; Gustavo Zacarias <gustavoz@gentoo.org> esound-0.2.33.ebuild:
  stable on sparc

*esound-0.2.34 (24 Mar 2004)

  24 Mar 2004; foser <foser@gentoo.org> esound-0.2.34.ebuild :
  New release

  10 Mar 2004; Jeremy Huddleston <eradicator@gentoo.org> esound-0.2.33.ebuild,
  files/esound-0.2.33-gcc2_fix.patch:
  gcc2 patch submitted by Tristan Henderson <T.Henderson@cs.ucl.ac.uk> in bug
  #44168.

*esound-0.2.33 (07 Mar 2004)

  07 Mar 2004; foser <foser@gentoo.org> esound-0.2.33.ebuild :
  New release
  alsa patch got included upstream
  made amd64 patch apply in general

  07 Mar 2004; Stephen P. Becker <geoman@gentoo.org> esound-0.2.32.ebuild:
  Added ~mips keyword.

  04 Feb 2004; <augustus@gentoo.org> esound-0.2.32-r1.ebuild,
  files/esound-0.2.32-amd64.patch:
  Fixed amd64 compilation. -Werror is set and there was a warning. I'm surprised
  this doesn't affect other platforms. If so, just remove my use condition.

*esound-0.2.32-r1 (01 Feb 2004)

  01 Feb 2004; Mike Frysinger <vapier@gentoo.org> :
  Version bumped to fix segfaults with new alsa #36417.

  14 Nov 2003; Aron Griffis <agriffis@gentoo.org> esound-0.2.32.ebuild:
  Stable on ia64

  08 Nov 2003; Todd Sunderlin <todd@gentoo.org> esound-0.2.32.ebuild:
  added sparc keyword

  22 Oct 2003; Bartosch Pixa <darkspecter@gentoo.org> esound-0.2.32.ebuild:
  set ppc in keywords

  17 Oct 2003; Aron Griffis <agriffis@gentoo.org> esound-0.2.32.ebuild:
  Stable on alpha

  28 Sep 2003; foser <foser@gentoo.org> esound-0.2.29{-r1}.ebuild :
  Fix SRC_URI (#29793)

*esound-0.2.32 (06 Sep 2003)

  13 Dec 2003; Guy Martin <gmsoft@gentoo.org> esound-0.2.32.ebuild :
  Marked stable on hppa.

  06 Sep 2003; foser <foser@gentoo.org> esound-0.2.32.ebuild :
  New version, added ipv6 USE for real now, esthetic cleanups

*esound-0.2.30 (11 Aug 2003)

  11 Aug 2003; foser <foser@gentoo.org> esound-0.2.31.ebuild :
  New version

  10 Jun 2003; Tavis Ormandy <taviso@gentoo.org> esound-0.2.29-r1.ebuild:
  make sure esdlib linked applications obey $ESPEAKER, even if a local
  esd is present. (bug #18000)

  changed epatch commands to use ${P}.

  changing minimum required alsa-lib version to 5.10b, to make repoman 
  happy.

*esound-0.2.29-r1 (30 May 2003)

  04 Aug 2003; Guy Martin <gmsoft@gentooo.org> esound-0.2.29-r1.ebuild :
  Marked stable on hppa.

  01 Jul 2003; Guy Martin <gmsoft@gentoo.org> esound-0.2.29-r1.ebuild :
  Added ~hppa to KEYWORDS.

  31 May 2003; Stanislav Brabec <utx@gentoo.org> esound-0.2.29-r1.ebuild,
  files/esound.conf.d, files/esound.init.d:
  Masked for testing. Added warning about client setup to global daemon config
  files.

  30 May 2003; Stanislav Brabec <utx@gentoo.org> esound-0.2.29-r1.ebuild,
  files/esound-0.2.29-alsa-period.diff, files/esound.conf.d,
  files/esound.init.d:
  Added init scripts for remote sound access. Fixed ALSA maximum periods (CVS
  fix from Takashi Iwai <tiwai@suse.de>).

*esound-0.2.29 (06 Sep 2002)

  01 Jul 2003; Guy Marin <gmsoft@gentoo.org> esound-0.2.29.ebuild :
  Added hppa to KEYWORDS.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords

  17 Sep 2002; Spider <spider@gentoo.org> esound-0.2.29.ebuild :
  added ppc keyword 
  
  16 Sep 2002; Maarten Thibaut <murphy@gentoo.org> esound-0.2.29.ebuild, ChangeLog :
  Adding sparc/sparc64 keywords. Revamping ChangeLog layout.

  06 Sep 2002; Spider <spider@gentoo.org> esound-0.2.29.ebuild : New version
  
*esound-0.2.28-r1 (28 Jun 2002)

  28 Jun 2002; Seemant Kulleen <seemant@gentoo.org> esound-0.2.28-r1.ebuild,
  files/digest-esound-0.2.28-r1 : LFH/man page fixes and elibtoolize

*esound-0.2.28 (19 Jun 2002)

  19 Jun 2002; Gabriele Giorgetti <stroke@gentoo.org> : New version.

*esound-0.2.27 (07 Jun 2002)

  07 Jun 2002; Martin Schlemmer <azarah@gentoo.org> : Bump version.

*esound-0.2.26 (07 May 2002)

  07 May 2002; Spider <spider@gentoo.org> esound-0.2.26.ebuild : Latest version.

*esound-0.2.25 (24 Apr 2002)

  24 Apr 2002; Spider <spider@gentoo.org> esound-0.2.25.ebuild : Update to latest
  version that has alsa 0.9 support
  Note: Me, Verwilst, added a SLOT="0" to this ebuild, to enable auto-unmerging
  of previous versions

*esound-0.2.24-r2 (03 Apr 2002)

  03 Apr 2002; M.Schlemmer <azarah@gentoo.org> esound-0.2.24-r2.ebuild : Libtoolize.

*esound-0.2.24-r1 (20 Mar 2002)

  20 Mar 2002; Bruce A. Locke <blocke@shivan.org> esound-0.2.24-r1.ebuild :
  Fixed some silly typos... building without tcpwrappers should work again

*esound-0.2.24	(16 Mar 2002)

  16 Mar 2002; Seemant Kulleen <seemant@gentoo.org> esound-0.2.24.ebuild :
  Copied over the 0.2.23 ebuild to upgrade the version.

*esound-0.2.24-r50

  28 Mar 2002; Spider <spider@gentoo.org> :
  Updated to -r50 that applies alsa patches, masked for the moment, should be stable
  and working though
